/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry_overlay.core.exception;

/**
 * The value of the JMX port is invalid in the Petals Registry Overlay configuration
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InvalidJmxPortException extends ConfigurationException {
    
    private static final long serialVersionUID = -5141918816518709153L;

    private final static String MESSAGE_PATTERN = "The value of the JMX port is invalid: '%s'.";

    /**
     * The invalid JMX port
     */
    private final String invalidJmxPort;

    public InvalidJmxPortException(final String invalidJmxPort) {
        super(String.format(MESSAGE_PATTERN, invalidJmxPort));
        this.invalidJmxPort = invalidJmxPort;
    }

    /**
     * @return The invalid JMX port
     */
    public String getInvalidJmxPort() {
        return this.invalidJmxPort;
    }
}
