/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry_overlay.core.exception;


/**
 * The member is not a member of the Petals Registry Overlay cluster definition.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class NotAClusterMemberException extends ConfigurationException {

    private static final long serialVersionUID = 8604200414011057782L;

    /**
     * Identifier of the member in error
     */
    private final String memberId;

    public NotAClusterMemberException(final String memberId) {
        super("The member [" + memberId
                + "] is not a member of the Petals Registry Overlay cluster !!");
        this.memberId = memberId;
    }

    /**
     * @return The identifier of the member in error
     */
    public String getMemberId() {
        return this.memberId;
    }

}
